<?php
##################################################
## Автор: -=ШАХТЕР=-                             #                                                                                                                                                                                 ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является БЕСПЛАТНОЙ!    #
## Версия чата: voblja 4.1 LITE                  #
## Полная версия: 4.1 FUll                       #
## http://masteram.us - Закрытый клуб мастеров;) #
##################################################

require'config.php';
$align='left';

if (!ctype_digit($_GET['nk'])){header('Location: index?'.SID);die;}
$nk = intval($_GET['nk']);
$inf = $db->sql_fetchrow ($db->sql_query ("Select * from users where id='".$nk."'"));
$title='Мнения о '.$inf[user];
aut();
head();
who_add(0,'enter');
echo '<br />';


switch($mod){
default:

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from questions where user_id = '".$inf['id']."'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from questions where user_id = '".$inf['id']."' order by time desc LIMIT $start, $max");

if (($max*$page)<$k_post) $maxi = $max*$page; else $maxi = $k_post;
echo 'Показаны записи '.($start+1).'-'.$maxi.' из '.$k_post.'<br /><br />';
if ($k_post == 0)echo 'Мнений пока нет...<br /><br />';

$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){

echo links.'<a href="questions'.$inf['id'].'?mod=vote&amp;v='.$a['id'].'"><b>'.$a['vote'].'</b></a> ('.times($a['time']).')'.div;

}
if ($k_page>1){
echo "<dl><dt></dt></dl>";
str(H.'questions'.$inf['id'].'?',$k_page,$page); // Вывод страниц
echo "<dl><dt></dt></dl>";
}



if (isset($_GET['delk'])){
$a = $db->sql_fetchrow($db->sql_query ("Select * from questions where id = '".intval($_GET['delk'])."'"));
if($inf[id]!=$user[id] && $a[mgs_id]==$user[id] || ($inf[id]!=$user[id] && $user[level]>=5)){
$db->sql_query("DELETE FROM `questions` WHERE `id` = '".intval($_GET['delk'])."'");
}
header ('Location: questions'.$inf['id'].'?'.SID);

}

break;

case vote:
$v = check($_GET['v']);
/*if (empty($user['max'])) $user['max']=10;
$max = $user['max'];*/

$a = @$db->sql_fetchrow($db->sql_query ("Select * from questions where id = '".$v."'"));

$record=split("\|", $a['vars']);
$num=count($record)-1;
if(!IsSet($s))$s=1;
@$max=round(($num/10)+0.45);
echo "Стр. $s из $max<br/>\n";
echo divide;
$ot=(($s-1)*10);
$do=$s*10;
for ($i=$ot;$i<$do;$i++){
if($i>=$num)break;
$adr=$record[$i];
if ($adr!=''){

}

}
$next=$s+1;
$prev=$s-1;
echo divide;
if ($max>$s){
echo "<a href=\"friends?$wp&amp;s=$next\">След.10</a><br/>\n";
}
if(1<$s){
echo "<a href=\"friends?$wp&amp;s=$prev\">Пред.10</a><br/>\n";
}

if (isset($_GET['delk'])){
$a = $db->sql_fetchrow($db->sql_query ("Select * from questions where id = '".intval($_GET['delk'])."'"));
if($inf[id]!=$user[id] && $a[mgs_id]==$user[id] || ($inf[id]!=$user[id] && $user[level]>=5)){
$db->sql_query("DELETE FROM `questions` WHERE `id` = '".intval($_GET['delk'])."'");
}
header ('Location: questions'.$inf['id'].'?'.SID);

}

break;

case add:

if (empty($act)){

if ($ver!='wml')echo '<form action="'.H.'questions'.$user['id'].'?mod='.$mod.'&amp;act=add&amp;'.SID.'" method="post">';
echo 'Вопрос:';
if ($ver=='wml')echo '<br/><input name="vote'.$ref.'" maxlength="50" title="Вопрос"/><br/>';
else echo '<br/><input name="vote" maxlength="50" title="Вопрос"/><br/>';
echo 'Вариантов ответа:';
echo '<br/><input name="kol" maxlength="2" size="2" title="Вариантов ответа"/><br/>';

if ($ver=='wml'){
echo '<br /><anchor title="go">Сказать<go href="'.H.'questions'.$user['id'].'?mod='.$mod.'&amp;act=add&amp;'.SID.'" method="post">';
echo '<postfield name="vote" value="$vote'.$ref.'"/>
<postfield name="kol" value="$kol"/>

</go></anchor>';
echo '<br/><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Сказать"/></form><br /><br />';
}



}else{
$act1 = check($_GET['act1']);
if (empty($act1)){

$vote = check($_POST['vote']);
$kol = intval($_POST['kol']);

if ($ver!='wml')echo '<form action="'.H.'questions'.$user['id'].'?mod='.$mod.'&amp;act=add&amp;&amp;act1=add'.SID.'" method="post">';
echo 'Вопрос:';
if ($ver=='wml')echo '<br/><input name="vote'.$ref.'" maxlength="50" value="'.$vote.'" title="Вопрос"/><br/>';
else echo '<br/><input name="vote" maxlength="50" value="'.$vote.'" title="Вопрос"/><br/>';
$kols = $kol+1;
for($i=1;$i<$kols;$i++)echo 'Ответ '.$i.'<br /><input name="var'.$i.'" type="text" title="Ответ '.$i.'" value="vote'.$i.'"><br />';


if ($ver=='wml'){
echo '<br /><anchor title="go">Сказать<go href="'.H.'questions'.$user['id'].'?mod='.$mod.'&amp;act=add&amp;act1=add&amp;'.SID.'" method="post">';
echo '<postfield name="vote" value="$vote'.$ref.'"/>
<postfield name="kol" value="$kol"/>

</go></anchor>';
echo '<br/><br />';
}else{
echo '<input type="hidden" name="kols" value="'.$kols.'"/>';
echo '<br /><input type="submit" class="ibutton" value="Сказать"/></form><br /><br />';
}

}else{
$vote = check($_POST['vote']);
$kols = intval($_POST['kols']);
for($i=1;$i<$kols;$i++)
{
$var = check($_POST['var'.$i.'']);
$v[$i] = $var;
}

$vs = $v[1].'|'.$v[2].'|'.$v[3].'|'.$v[4].'|'.$v[5].'|'.$v[5].'|'.$v[6].'|'.$v[7].'|'.$v[8].'|'.$v[9].'|'.$v[10];

$db->sql_query ("INSERT INTO questions (user_id,vote,vars,time) VALUES ('$user[id]','$vote','$vs','$time')");

}

}


break;







}

echo '<br />';
echo gb.'<a href="'.H.$inf[id].'">В анкету</a>'.div;
echo gb.'<a href="'.H.'enter?">Прихожая</a>'.div;
foot();
?>